PS_OPEN_IMAGE(3)

NAME
PS_open_image — Reads an image for later placement

SYNOPSIS

#include <pslib.h>

int PS_open_image(PSDoc *psdoc, char *type, char *source, char *data, int lenght, int width, int height, int components, int bpc, const char *params)

DESCRIPTION

Reads an image which is already available in memory. The parameter source is currently not evaluated and assumed to be `memory'. The parameter type can be either `raw' or `eps'. Images in raw format are expected to be a stream of pixels starting in the upper left and ending in the lower right corner. Each pixel is a tuple of components representing the colors. Each component consists of bpc bit. Color imgags expect the components to be stored in RGB or CMYK order. The number of components implies the colorspace. 4 components imply a CMYK image and not an RGB image with an alpha channel. This restriction may be removed in later versions.

EPS images are expect as stored in a file. There is no need to set any other paramter. The height und width of the image is taken from the bounding box within the image data.

Since version 0.4.5 of pslib images are read by default for later reuse. This means that the image is saved into a so called reusable
stream object. Later calls of PS_place_image(3)     will only put a shot
sequence of postsscript code into the output file replaying the image. This reduces the overall postscript file size, speeds up its processing by the postscript rip and allows to place images into templates. This behaviour can be turned off b setting the parameter ``imageresse' to false with PS_set_parameter(3).

RETURN VALUE

Returns identifier of the image or zero in case of an error. The identifier is a positiv number greater 0.

SEE ALSO

PS_open_image_file(3), PS_place_image(3), PS_close_image(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.